function y = linearADC(x, Vmax, nbit)

% y = linearADC(x, Vmax, nbit)
%
% funzione che restituisce la versione quantizzata del segnale in ingresso
% x su nbit. Quantizzazione lineare
%
% parametri
%
% x : input signal
%
% Vmax : soglia per la saturazione --> tutti valori di abs(x) > Vmax
% vengono saturati a Vmax*sign(x).
%
% nbit: numero di bit --> 2^nbit livelli

N = 2^nbit;     % numero di livelli

cbook = linspace(-Vmax, Vmax, N);
s = (cbook(2:end) + cbook(1:(end - 1)))/2;  % soglie a meta' dei valori assunti

[ind, y] = quantiz(2 * x, s, cbook); 